be.cin.mycarenet._1_0.carenet.types

## Class DementiaType

- java.lang.Object
- - be.cin.mycarenet._1_0.carenet.types.DementiaType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-30T12:05:45+02:00",
                 comments="JAXB RI v2.3.7")
      public class DementiaType
      extends Object
      implements Serializable

  Java class for DementiaType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DementiaType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Doctor" type="{urn:be:cin:mycarenet:1.0:carenet:types}NihiiType" minOccurs="0"/>
             </sequence>
             <attribute name="type" use="required" type="{urn:be:cin:mycarenet:1.0:carenet:types}DementiaTypeType" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DementiaType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDoctor()` Gets the value of the doctor property.
    `DementiaTypeType` | `getType()` Gets the value of the type property.
    `void` | `setDoctor(String value)` Sets the value of the doctor property.
    `void` | `setType(DementiaTypeType value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DementiaType

          public DementiaType()

  - ### Method Detail

    - #### getDoctor

          public String getDoctor()

      Gets the value of the doctor property.
      Returns:
        possible object is `String`

    - #### setDoctor

          public void setDoctor(String value)

      Sets the value of the doctor property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public DementiaTypeType getType()

      Gets the value of the type property.
      Returns:
        possible object is `DementiaTypeType`

    - #### setType

          public void setType(DementiaTypeType value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `DementiaTypeType`

Connector Packaging PERSLOGOPEDIST 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.